Project APIAnnotations
List annotations
Annotations in this project and environment, newest first. With from/to, the ones that overlap the window: what a chart over that window shows.
Authorization
personalAccessTokenAuth AuthorizationBearer <token>
Personal access token (prefixed gb_pat_). Acts on behalf of its owner and can never exceed the owner's own permissions. Send it as Authorization: Bearer <token>.
In: header
Path Parameters
applicationId*number
Gamebeast project ID
Query Parameters
from?string
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Format
date-timeto?string
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Format
date-timetypeIds?array<>
Items
items <= 50sources?array<>
Items
items <= 50search?string
Length
1 <= length <= 100limit?integer
Range
1 <= value <= 500Default
100cursor?string
Length
length <= 500Header Parameters
environment_id*number
Gamebeast environment ID
Response Body
application/json
curl -X GET "https://example.com/application/0/analytics/v1/annotations/" \ -H "environment_id: 0"{ "annotations": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "icon": "flag", "color": "chart-1", "systemKey": "experiment.lifecycle" }, "name": "string", "description": "string", "startsAt": "2019-08-24T14:15:22Z", "endsAt": "2019-08-24T14:15:22Z", "openEnded": true, "url": "string", "source": "user", "createdBy": { "userId": "string", "name": "string" }, "sourceRef": "string", "editable": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "string"}